aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-github3
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2014-08-21 16:43:56 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2014-08-23 10:28:57 +0000
commit183619f5a5eca0b064bd6b74cfd44d05e6f25201 (patch)
tree92090fa7d91b8f028f3f238e56bb61972f0a54a4 /testing/py-github3
parent497695aff4866da723d4300b0549414100243976 (diff)
downloadaports-183619f5a5eca0b064bd6b74cfd44d05e6f25201.tar.bz2
aports-183619f5a5eca0b064bd6b74cfd44d05e6f25201.tar.xz
testing/py-github3: new aport
Python wrapper for the GitHub API https://github3py.readthedocs.org/
Diffstat (limited to 'testing/py-github3')
-rw-r--r--testing/py-github3/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/testing/py-github3/APKBUILD b/testing/py-github3/APKBUILD
new file mode 100644
index 0000000000..0212b79229
--- /dev/null
+++ b/testing/py-github3/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-github3
+_pkgname=github3.py
+pkgver=0.9.1
+pkgrel=0
+pkgdesc="Python wrapper for the GitHub API"
+url="http://code.google.com/p/pycolumnize/"
+arch="noarch"
+license="BSD"
+depends="python py-requests py-uritemplate"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="021890b36a21cf7d05c2ec8c7608eee9 github3.py-0.9.1.tar.gz"
+sha256sums="0708a306ff13be3895e3f17ef65b6e290bdc159a78ff4ad6ef43043c1b759d9d github3.py-0.9.1.tar.gz"
+sha512sums="f978eade8a0c1004c45f0085873704ba8dbc885721c1c7ed99f0c3973b5f453a0a3a43dfe29cfa0be87c3cb505f7b72a7f683e4fd812c0fe6e9c9ac99256bb5e github3.py-0.9.1.tar.gz"